"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = loader;

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Dave Clark @dcwarwick
*/
function loader(source) {
  var _this = this;

  var entry = function entry(line, number) {
    var parsed; // parse each line to ensure it contains valid JSON

    try {
      parsed = JSON.parse(line);
    } catch (err) {
      _this.emitError(err);
    } // create an object field entry keyed by the line number


    return "".concat(number, ":").concat(JSON.stringify(parsed));
  };

  return "module.exports = {".concat(source // split the source into 'lines' delimited by newline
  .split("\n") // if the last line is empty we discard it
  .filter(function (line, index, array) {
    return index < array.length - 1 || /\S/.test(line);
  }) // convert each line into an object field entry, indexing from 1
  .map(function (line, index) {
    return entry(line, index + 1);
  }) // combine the output into an object literal that we export
  .join(","), "}");
}